Bug 54047 - Please include pentium performance counters
Summary: Please include pentium performance counters
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-26 16:21 UTC by ramon
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-19 17:02:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ramon 2001-09-26 16:21:32 UTC
Description of problem:

Pentium performance counters are important for
programmers that need to tune their code. For
this reason, support for hardware performance counters
should be included in the standard kernel distributed
with Redhat Linux.

The patch to add support of Pentium performance counters
to the Linux kernel is at 
http://www.docs.uu.se/~mikpe/linux/ (kernel support, minimal user-space
library)
http://icl.cs.utk.edu/projects/papi/ (user-space support library)

Comment 1 Bill Nottingham 2003-02-19 17:02:46 UTC
This should be usable with oprofile; anything else would need to be upstream.


Note You need to log in before you can comment on or make changes to this bug.